diff -urN cargo-0.89.0-orig/src/cargo/core/source_id.rs cargo-0.89.0/src/cargo/core/source_id.rs
--- cargo-0.89.0-orig/src/cargo/core/source_id.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/core/source_id.rs	2025-08-10 06:03:38 +0900
@@ -1,10 +1,9 @@
 use crate::core::GitReference;
 use crate::core::PackageId;
 use crate::core::SourceKind;
-use crate::sources::registry::CRATES_IO_HTTP_INDEX;
 use crate::sources::source::Source;
-use crate::sources::{DirectorySource, CRATES_IO_DOMAIN, CRATES_IO_INDEX, CRATES_IO_REGISTRY};
-use crate::sources::{GitSource, PathSource, RegistrySource};
+use crate::sources::{DirectorySource, CRATES_IO_REGISTRY};
+use crate::sources::{PathSource, RegistrySource};
 use crate::util::interning::InternedString;
 use crate::util::{context, CanonicalUrl, CargoResult, GlobalContext, IntoUrl};
 use anyhow::Context as _;
@@ -267,29 +266,12 @@
     /// Returns the `SourceId` corresponding to the main repository, using the
     /// sparse HTTP index if allowed.
     pub fn crates_io_maybe_sparse_http(gctx: &GlobalContext) -> CargoResult<SourceId> {
-        if Self::crates_io_is_sparse(gctx)? {
-            gctx.check_registry_index_not_set()?;
-            let url = CRATES_IO_HTTP_INDEX.into_url().unwrap();
-            let key = KeyOf::Registry(CRATES_IO_REGISTRY.into());
-            SourceId::new(SourceKind::SparseRegistry, url, Some(key))
-        } else {
-            Self::crates_io(gctx)
-        }
+        Self::crates_io(gctx)
     }
 
     /// Returns whether to access crates.io over the sparse protocol.
     pub fn crates_io_is_sparse(gctx: &GlobalContext) -> CargoResult<bool> {
-        let proto: Option<context::Value<String>> = gctx.get("registries.crates-io.protocol")?;
-        let is_sparse = match proto.as_ref().map(|v| v.val.as_str()) {
-            Some("sparse") => true,
-            Some("git") => false,
-            Some(unknown) => anyhow::bail!(
-                "unsupported registry protocol `{unknown}` (defined in {})",
-                proto.as_ref().unwrap().definition
-            ),
-            None => true,
-        };
-        Ok(is_sparse)
+        Ok(false)
     }
 
     /// Gets the `SourceId` associated with given name of the remote registry.
@@ -314,11 +296,7 @@
 
     /// Displays the text "crates.io index" for Cargo shell status output.
     pub fn display_index(self) -> String {
-        if self.is_crates_io() {
-            format!("{} index", CRATES_IO_DOMAIN)
-        } else {
-            format!("`{}` index", self.display_registry_name())
-        }
+        format!("`{}` index", self.display_registry_name())
     }
 
     /// Displays the name of a registry if it has one. Otherwise just the URL.
@@ -397,7 +375,7 @@
     ) -> CargoResult<Box<dyn Source + 'a>> {
         trace!("loading SourceId; {}", self);
         match self.inner.kind {
-            SourceKind::Git(..) => Ok(Box::new(GitSource::new(self, gctx)?)),
+            SourceKind::Git(..) => Err(anyhow::anyhow!("functionality removed")),
             SourceKind::Path => {
                 let path = self
                     .inner
@@ -409,9 +387,20 @@
                 }
                 Ok(Box::new(PathSource::new(&path, self, gctx)))
             }
-            SourceKind::Registry | SourceKind::SparseRegistry => Ok(Box::new(
-                RegistrySource::remote(self, yanked_whitelist, gctx)?,
-            )),
+            SourceKind::Registry | SourceKind::SparseRegistry => {
+                const CRATES_IO_INDEX: &str = "https://github.com/rust-lang/crates.io-index";
+                if self.inner.url.to_string() == CRATES_IO_INDEX {
+                    // NOTE(achurch): assumed to come from crates_io_source_id
+                    // and to be subsequently overridden
+                    return Ok(Box::new(RegistrySource::local(
+                        self,
+                        Path::new("/nonexistent"),
+                        yanked_whitelist,
+                        gctx,
+                    )))
+                }
+                Err(anyhow::anyhow!("functionality removed"))
+            }
             SourceKind::LocalRegistry => {
                 let path = self
                     .inner
@@ -543,7 +532,7 @@
             _ => return false,
         }
         let url = self.inner.url.as_str();
-        url == CRATES_IO_INDEX || url == CRATES_IO_HTTP_INDEX || is_overridden_crates_io_url(url)
+        is_overridden_crates_io_url(url)
     }
 
     /// Hashes `self` to be used in the name of some Cargo folders, so shouldn't vary.
diff -urN cargo-0.89.0-orig/src/cargo/core/workspace.rs cargo-0.89.0/src/cargo/core/workspace.rs
--- cargo-0.89.0-orig/src/cargo/core/workspace.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/core/workspace.rs	2025-08-10 06:03:38 +0900
@@ -20,7 +20,7 @@
 };
 use crate::core::{EitherManifest, Package, SourceId, VirtualManifest};
 use crate::ops;
-use crate::sources::{PathSource, SourceConfigMap, CRATES_IO_INDEX, CRATES_IO_REGISTRY};
+use crate::sources::{PathSource, SourceConfigMap, CRATES_IO_REGISTRY};
 use crate::util::context::FeatureUnification;
 use crate::util::edit_distance;
 use crate::util::errors::{CargoResult, ManifestError};
@@ -473,7 +473,6 @@
         let mut patch = HashMap::new();
         for (url, deps) in config_patch.into_iter().flatten() {
             let url = match &url[..] {
-                CRATES_IO_REGISTRY => CRATES_IO_INDEX.parse().unwrap(),
                 url => self
                     .gctx
                     .get_registry_index(url)
diff -urN cargo-0.89.0-orig/src/cargo/ops/cargo_add/mod.rs cargo-0.89.0/src/cargo/ops/cargo_add/mod.rs
--- cargo-0.89.0-orig/src/cargo/ops/cargo_add/mod.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/ops/cargo_add/mod.rs	2025-08-10 06:03:38 +0900
@@ -32,7 +32,6 @@
 use crate::util::style;
 use crate::util::toml::lookup_path_base;
 use crate::util::toml_mut::dependency::Dependency;
-use crate::util::toml_mut::dependency::GitSource;
 use crate::util::toml_mut::dependency::MaybeWorkspace;
 use crate::util::toml_mut::dependency::PathSource;
 use crate::util::toml_mut::dependency::Source;
@@ -296,15 +295,6 @@
     pub path: Option<String>,
     /// Specify a named base for a path dependency
     pub base: Option<String>,
-
-    /// Git repo for dependency
-    pub git: Option<String>,
-    /// Specify an alternative git branch
-    pub branch: Option<String>,
-    /// Specify a specific git rev
-    pub rev: Option<String>,
-    /// Specify a specific git tag
-    pub tag: Option<String>,
 }
 
 fn resolve_dependency(
@@ -322,40 +312,7 @@
         .as_deref()
         .map(CrateSpec::resolve)
         .transpose()?;
-    let mut selected_dep = if let Some(url) = &arg.git {
-        let mut src = GitSource::new(url);
-        if let Some(branch) = &arg.branch {
-            src = src.set_branch(branch);
-        }
-        if let Some(tag) = &arg.tag {
-            src = src.set_tag(tag);
-        }
-        if let Some(rev) = &arg.rev {
-            src = src.set_rev(rev);
-        }
-
-        let selected = if let Some(crate_spec) = &crate_spec {
-            if let Some(v) = crate_spec.version_req() {
-                // crate specifier includes a version (e.g. `docopt@0.8`)
-                anyhow::bail!("cannot specify a git URL (`{url}`) with a version (`{v}`).");
-            }
-            let dependency = crate_spec.to_dependency()?.set_source(src);
-            let selected = select_package(&dependency, gctx, registry)?;
-            if dependency.name != selected.name {
-                gctx.shell().warn(format!(
-                    "translating `{}` to `{}`",
-                    dependency.name, selected.name,
-                ))?;
-            }
-            selected
-        } else {
-            let mut source = crate::sources::GitSource::new(src.source_id()?, gctx)?;
-            let packages = source.read_packages()?;
-            let package = infer_package_for_git_source(packages, &src)?;
-            Dependency::from(package.summary())
-        };
-        selected
-    } else if let Some(raw_path) = &arg.path {
+    let mut selected_dep = if let Some(raw_path) = &arg.path {
         let path = paths::normalize_path(&std::env::current_dir()?.join(raw_path));
         let mut src = PathSource::new(path);
         src.base = arg.base.clone();
diff -urN cargo-0.89.0-orig/src/cargo/ops/cargo_install.rs cargo-0.89.0/src/cargo/ops/cargo_install.rs
--- cargo-0.89.0-orig/src/cargo/ops/cargo_install.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/ops/cargo_install.rs	2025-08-10 06:03:38 +0900
@@ -8,7 +8,7 @@
 use crate::ops::{common_for_install_and_uninstall::*, FilterRule};
 use crate::ops::{CompileFilter, Packages};
 use crate::sources::source::Source;
-use crate::sources::{GitSource, PathSource, SourceConfigMap};
+use crate::sources::{PathSource, SourceConfigMap};
 use crate::util::context::FeatureUnification;
 use crate::util::errors::CargoResult;
 use crate::util::{Filesystem, GlobalContext, Rustc};
@@ -100,14 +100,7 @@
             };
 
             if source_id.is_git() {
-                let mut source = GitSource::new(source_id, gctx)?;
-                select_pkg(
-                    &mut source,
-                    dep,
-                    |git: &mut GitSource<'_>| git.read_packages(),
-                    gctx,
-                    current_rust_version,
-                )?
+                bail!("functionality removed")
             } else if source_id.is_path() {
                 let mut src = path_source(source_id, gctx)?;
                 if !src.path().is_dir() {
@@ -336,8 +329,6 @@
             self.ws.set_target_dir(target_dir);
         }
 
-        self.check_yanked_install()?;
-
         let exec: Arc<dyn Executor> = Arc::new(DefaultExecutor);
         self.opts.build_config.dry_run = dry_run;
         let compile = ops::compile_ws(&self.ws, &self.opts, &exec).with_context(|| {
@@ -586,23 +577,6 @@
             Ok(true)
         }
     }
-
-    fn check_yanked_install(&self) -> CargoResult<()> {
-        if self.ws.ignore_lock() || !self.ws.root().join("Cargo.lock").exists() {
-            return Ok(());
-        }
-        // It would be best if `source` could be passed in here to avoid a
-        // duplicate "Updating", but since `source` is taken by value, then it
-        // wouldn't be available for `compile_ws`.
-        let dry_run = false;
-        let (pkg_set, resolve) = ops::resolve_ws(&self.ws, dry_run)?;
-        ops::check_yanked(
-            self.ws.gctx(),
-            &pkg_set,
-            &resolve,
-            "consider running without --locked",
-        )
-    }
 }
 
 fn make_warning_about_missing_features(binaries: &[&Target]) -> String {
diff -urN cargo-0.89.0-orig/src/cargo/ops/cargo_new.rs cargo-0.89.0/src/cargo/ops/cargo_new.rs
--- cargo-0.89.0-orig/src/cargo/ops/cargo_new.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/ops/cargo_new.rs	2025-08-10 06:03:38 +0900
@@ -1,7 +1,6 @@
 use crate::core::{Edition, Shell, Workspace};
 use crate::util::errors::CargoResult;
 use crate::util::important_paths::find_root_manifest_for_wd;
-use crate::util::{existing_vcs_repo, FossilRepo, GitRepo, HgRepo, PijulRepo};
 use crate::util::{restricted_names, GlobalContext};
 use anyhow::{anyhow, Context as _};
 use cargo_util::paths::{self, write_atomic};
@@ -519,40 +518,6 @@
 
     let mut version_control = opts.version_control;
 
-    if version_control == None {
-        let mut num_detected_vcses = 0;
-
-        if path.join(".git").exists() {
-            version_control = Some(VersionControl::Git);
-            num_detected_vcses += 1;
-        }
-
-        if path.join(".hg").exists() {
-            version_control = Some(VersionControl::Hg);
-            num_detected_vcses += 1;
-        }
-
-        if path.join(".pijul").exists() {
-            version_control = Some(VersionControl::Pijul);
-            num_detected_vcses += 1;
-        }
-
-        if path.join(".fossil").exists() {
-            version_control = Some(VersionControl::Fossil);
-            num_detected_vcses += 1;
-        }
-
-        // if none exists, maybe create git, like in `cargo new`
-
-        if num_detected_vcses > 1 {
-            anyhow::bail!(
-                "more than one of .hg, .git, .pijul, .fossil configurations \
-                 found and the ignore file can't be filled in as \
-                 a result. specify --vcs to override detection"
-            );
-        }
-    }
-
     let mkopts = MkOptions {
         version_control,
         path,
@@ -572,194 +537,12 @@
     Ok(kind)
 }
 
-/// `IgnoreList`
-struct IgnoreList {
-    /// git like formatted entries
-    ignore: Vec<String>,
-    /// mercurial formatted entries
-    hg_ignore: Vec<String>,
-    /// Fossil-formatted entries.
-    fossil_ignore: Vec<String>,
-}
-
-impl IgnoreList {
-    /// constructor to build a new ignore file
-    fn new() -> IgnoreList {
-        IgnoreList {
-            ignore: Vec::new(),
-            hg_ignore: Vec::new(),
-            fossil_ignore: Vec::new(),
-        }
-    }
-
-    /// Add a new entry to the ignore list. Requires three arguments with the
-    /// entry in possibly three different formats. One for "git style" entries,
-    /// one for "mercurial style" entries and one for "fossil style" entries.
-    fn push(&mut self, ignore: &str, hg_ignore: &str, fossil_ignore: &str) {
-        self.ignore.push(ignore.to_string());
-        self.hg_ignore.push(hg_ignore.to_string());
-        self.fossil_ignore.push(fossil_ignore.to_string());
-    }
-
-    /// Return the correctly formatted content of the ignore file for the given
-    /// version control system as `String`.
-    fn format_new(&self, vcs: VersionControl) -> String {
-        let ignore_items = match vcs {
-            VersionControl::Hg => &self.hg_ignore,
-            VersionControl::Fossil => &self.fossil_ignore,
-            _ => &self.ignore,
-        };
-
-        ignore_items.join("\n") + "\n"
-    }
-
-    /// `format_existing` is used to format the `IgnoreList` when the ignore file
-    /// already exists. It reads the contents of the given `BufRead` and
-    /// checks if the contents of the ignore list are already existing in the
-    /// file.
-    fn format_existing<T: BufRead>(&self, existing: T, vcs: VersionControl) -> CargoResult<String> {
-        let mut existing_items = Vec::new();
-        for (i, item) in existing.lines().enumerate() {
-            match item {
-                Ok(s) => existing_items.push(s),
-                Err(err) => match err.kind() {
-                    ErrorKind::InvalidData => {
-                        return Err(anyhow!(
-                            "Character at line {} is invalid. Cargo only supports UTF-8.",
-                            i
-                        ))
-                    }
-                    _ => return Err(anyhow!(err)),
-                },
-            }
-        }
-
-        let ignore_items = match vcs {
-            VersionControl::Hg => &self.hg_ignore,
-            VersionControl::Fossil => &self.fossil_ignore,
-            _ => &self.ignore,
-        };
-
-        let mut out = String::new();
-
-        // Fossil does not support `#` comments.
-        if vcs != VersionControl::Fossil {
-            out.push_str("\n\n# Added by cargo\n");
-            if ignore_items
-                .iter()
-                .any(|item| existing_items.contains(item))
-            {
-                out.push_str("#\n# already existing elements were commented out\n");
-            }
-            out.push('\n');
-        }
-
-        for item in ignore_items {
-            if existing_items.contains(item) {
-                if vcs == VersionControl::Fossil {
-                    // Just merge for Fossil.
-                    continue;
-                }
-                out.push('#');
-            }
-            out.push_str(item);
-            out.push('\n');
-        }
-
-        Ok(out)
-    }
-}
-
-/// Writes the ignore file to the given directory. If the ignore file for the
-/// given vcs system already exists, its content is read and duplicate ignore
-/// file entries are filtered out.
-fn write_ignore_file(base_path: &Path, list: &IgnoreList, vcs: VersionControl) -> CargoResult<()> {
-    // Fossil only supports project-level settings in a dedicated subdirectory.
-    if vcs == VersionControl::Fossil {
-        paths::create_dir_all(base_path.join(".fossil-settings"))?;
-    }
-
-    for fp_ignore in match vcs {
-        VersionControl::Git => vec![base_path.join(".gitignore")],
-        VersionControl::Hg => vec![base_path.join(".hgignore")],
-        VersionControl::Pijul => vec![base_path.join(".ignore")],
-        // Fossil has a cleaning functionality configured in a separate file.
-        VersionControl::Fossil => vec![
-            base_path.join(".fossil-settings/ignore-glob"),
-            base_path.join(".fossil-settings/clean-glob"),
-        ],
-        VersionControl::NoVcs => return Ok(()),
-    } {
-        let ignore: String = match paths::open(&fp_ignore) {
-            Err(err) => match err.downcast_ref::<std::io::Error>() {
-                Some(io_err) if io_err.kind() == ErrorKind::NotFound => list.format_new(vcs),
-                _ => return Err(err),
-            },
-            Ok(file) => list.format_existing(BufReader::new(file), vcs)?,
-        };
-
-        paths::append(&fp_ignore, ignore.as_bytes())?;
-    }
-
-    Ok(())
-}
-
-/// Initializes the correct VCS system based on the provided config.
-fn init_vcs(path: &Path, vcs: VersionControl, gctx: &GlobalContext) -> CargoResult<()> {
-    match vcs {
-        VersionControl::Git => {
-            if !path.join(".git").exists() {
-                // Temporary fix to work around bug in libgit2 when creating a
-                // directory in the root of a posix filesystem.
-                // See: https://github.com/libgit2/libgit2/issues/5130
-                paths::create_dir_all(path)?;
-                GitRepo::init(path, gctx.cwd())?;
-            }
-        }
-        VersionControl::Hg => {
-            if !path.join(".hg").exists() {
-                HgRepo::init(path, gctx.cwd())?;
-            }
-        }
-        VersionControl::Pijul => {
-            if !path.join(".pijul").exists() {
-                PijulRepo::init(path, gctx.cwd())?;
-            }
-        }
-        VersionControl::Fossil => {
-            if !path.join(".fossil").exists() {
-                FossilRepo::init(path, gctx.cwd())?;
-            }
-        }
-        VersionControl::NoVcs => {
-            paths::create_dir_all(path)?;
-        }
-    };
-
-    Ok(())
-}
-
 fn mk(gctx: &GlobalContext, opts: &MkOptions<'_>) -> CargoResult<()> {
     let path = opts.path;
     let name = opts.name;
     let cfg = gctx.get::<CargoNewConfig>("cargo-new")?;
 
-    // Using the push method with multiple arguments ensures that the entries
-    // for all mutually-incompatible VCS in terms of syntax are in sync.
-    let mut ignore = IgnoreList::new();
-    ignore.push("/target", "^target$", "target");
-
-    let vcs = opts.version_control.unwrap_or_else(|| {
-        let in_existing_vcs = existing_vcs_repo(path.parent().unwrap_or(path), gctx.cwd());
-        match (cfg.version_control, in_existing_vcs) {
-            (None, false) => VersionControl::Git,
-            (Some(opt), false) => opt,
-            (_, true) => VersionControl::NoVcs,
-        }
-    });
-
-    init_vcs(path, vcs, gctx)?;
-    write_ignore_file(path, &ignore, vcs)?;
+    paths::create_dir_all(path)?;
 
     // Create `Cargo.toml` file with necessary `[lib]` and `[[bin]]` sections, if needed.
     let mut manifest = toml_edit::DocumentMut::new();
diff -urN cargo-0.89.0-orig/src/cargo/ops/mod.rs cargo-0.89.0/src/cargo/ops/mod.rs
--- cargo-0.89.0-orig/src/cargo/ops/mod.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/ops/mod.rs	2025-08-10 06:03:38 +0900
@@ -1,19 +1,12 @@
-use crate::sources::CRATES_IO_DOMAIN;
-
 pub use self::cargo_clean::{clean, CleanContext, CleanOptions};
 pub use self::cargo_compile::{
     compile, compile_with_exec, compile_ws, create_bcx, print, resolve_all_features, CompileOptions,
 };
 pub use self::cargo_compile::{CompileFilter, FilterRule, LibRule, Packages};
 pub use self::cargo_doc::{doc, DocOptions, OutputFormat};
-pub use self::cargo_fetch::{fetch, FetchOptions};
 pub use self::cargo_install::{install, install_list};
 pub use self::cargo_new::{init, new, NewOptions, NewProjectKind, VersionControl};
 pub use self::cargo_output_metadata::{output_metadata, ExportInfo, OutputMetadataOptions};
-pub use self::cargo_package::check_yanked;
-pub use self::cargo_package::package;
-pub use self::cargo_package::PackageMessageFormat;
-pub use self::cargo_package::PackageOpts;
 pub use self::cargo_pkgid::pkgid;
 pub use self::cargo_read_manifest::read_package;
 pub use self::cargo_run::run;
@@ -26,19 +19,13 @@
 pub use self::cargo_update::write_manifest_upgrades;
 pub use self::cargo_update::UpdateOptions;
 pub use self::common_for_install_and_uninstall::{resolve_root, InstallTracker};
-pub use self::fix::{fix, fix_exec_rustc, fix_get_proxy_lock_addr, FixOptions};
 pub use self::lockfile::{load_pkg_lockfile, resolve_to_string, write_pkg_lockfile};
-pub use self::registry::info;
-pub use self::registry::modify_owners;
-pub use self::registry::publish;
-pub use self::registry::registry_login;
-pub use self::registry::registry_logout;
-pub use self::registry::search;
-pub use self::registry::yank;
-pub use self::registry::OwnersOptions;
-pub use self::registry::PublishOpts;
-pub use self::registry::RegistryCredentialConfig;
-pub use self::registry::RegistryOrIndex;
+/// Represents either `--registry` or `--index` argument, which is mutually exclusive.
+#[derive(Debug, Clone)]
+pub enum RegistryOrIndex {
+    Registry(String),
+    Index(url::Url),
+}
 pub use self::resolve::{
     add_overrides, get_resolved_packages, resolve_with_previous, resolve_ws, resolve_ws_with_opts,
     WorkspaceResolve,
@@ -50,11 +37,9 @@
 pub(crate) mod cargo_compile;
 pub mod cargo_config;
 mod cargo_doc;
-mod cargo_fetch;
 mod cargo_install;
 mod cargo_new;
 mod cargo_output_metadata;
-mod cargo_package;
 mod cargo_pkgid;
 mod cargo_read_manifest;
 pub mod cargo_remove;
@@ -63,9 +48,7 @@
 mod cargo_uninstall;
 mod cargo_update;
 mod common_for_install_and_uninstall;
-mod fix;
 pub(crate) mod lockfile;
-pub(crate) mod registry;
 pub(crate) mod resolve;
 pub mod tree;
 mod vendor;
@@ -83,6 +66,7 @@
     };
 
     if !dep.specified_req() && dep.is_transitive() {
+        const CRATES_IO_DOMAIN: &str = "crates.io";
         let dep_version_source = dep.registry_id().map_or_else(
             || CRATES_IO_DOMAIN.to_string(),
             |registry_id| registry_id.display_registry_name(),
diff -urN cargo-0.89.0-orig/src/cargo/sources/mod.rs cargo-0.89.0/src/cargo/sources/mod.rs
--- cargo-0.89.0-orig/src/cargo/sources/mod.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/sources/mod.rs	2025-08-10 06:03:38 +0900
@@ -15,7 +15,6 @@
 //!   into this category. So do local registry and sparse registry.
 //! * [`DirectorySource`] --- Files are downloaded ahead of time. Primarily
 //!   designed for crates generated from `cargo vendor`.
-//! * [`GitSource`] --- This gets crate information from a git repository.
 //! * [`PathSource`] --- This gets crate information from a local path on the
 //!   filesystem.
 //! * [`ReplacedSource`] --- This manages the [source replacement] feature,
@@ -28,18 +27,16 @@
 
 pub use self::config::SourceConfigMap;
 pub use self::directory::DirectorySource;
-pub use self::git::GitSource;
 pub use self::path::PathEntry;
 pub use self::path::PathSource;
 pub use self::path::RecursivePathSource;
 pub use self::registry::{
-    IndexSummary, RegistrySource, CRATES_IO_DOMAIN, CRATES_IO_INDEX, CRATES_IO_REGISTRY,
+    IndexSummary, RegistrySource, CRATES_IO_REGISTRY,
 };
 pub use self::replaced::ReplacedSource;
 
 pub mod config;
 pub mod directory;
-pub mod git;
 pub mod overlay;
 pub mod path;
 pub mod registry;
